json-c 0.11

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
lh_table Struct Reference

## Data Fields
int | size
int | count
int | collisions
int | resizes
int | lookups
int | inserts
int | deletes
const char * | name
struct lh_entry * | head
struct lh_entry * | tail
struct lh_entry * | table
lh_entry_free_fn * | free_fn
lh_hash_fn * | hash_fn
lh_equal_fn * | equal_fn

## Detailed Description

The hash table structure.

## Field Documentation

int lh_table::collisions

Number of collisions.

int lh_table::count

Numbers of entries.

int lh_table::deletes

Number of deletes.

lh_equal_fn* lh_table::equal_fn

lh_entry_free_fn* lh_table::free_fn

A pointer onto the function responsible for freeing an entry.

lh_hash_fn* lh_table::hash_fn

struct lh_entry* lh_table::head

The first entry.

int lh_table::inserts

Number of inserts.

int lh_table::lookups

Number of lookups.

const char* lh_table::name

Name of the hash table.

int lh_table::resizes

Number of resizes.

int lh_table::size

Size of our hash.

struct lh_entry* lh_table::table

struct lh_entry* lh_table::tail

The last entry.

The documentation for this struct was generated from the following file:

- linkhash.h